{% extends 'base.html.twig' %}

{% block title %}Hello ListController!{% endblock %}

{% block body %}
    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="alert alert-{{ label }} temporary">{{ message }}</div>
        {% endfor %}
    {% endfor %}


    <div class="content-body">

        <div class="dev-index-image-trick">
            <img src="{{ asset('asset/images/p6_index_image.jpg') }}" alt="" class="index-image">
            <a href="#tricks" class="index-image-icon"><i class="fa-solid fa-arrow-down"></i></a>
        </div>

        <div class="row" id="tricks">

            {% for trick in tricks %}

                <a href="/trick/details/{{ trick.slug }}" class="mt-2 mb-2 d-flex align-items-center justify-content-center dev-card-width">
                    <div class="card" style="width: 18rem;">
                        <img class="card-img-top" src="{{ asset('uploads/' ~ trick.images[0]) }}"
                             alt="Card image cap" style="width: 100%; height: 200px; object-fit: cover">
                        <div class="card-body d-flex justify-content-between">
                            <h5 class="card-title">{{ trick.name }}</h5>
                        </div>
                    </div>
                </a>
            {% endfor %}

        </div>
    </div>
{% endblock %}
